Skip to main content
POST
/
video-generation
sora-2
curl --request POST \
  --url https://api.linkai.one/api/v1/video-generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "sora-2",
  "prompt": "<string>",
  "duration": 123,
  "first_frame_image": "<string>",
  "size": "<string>"
}
'
{
  "code": 0,
  "data": {
    "task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
    "order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
    "status": "processing",
    "price": 0.074
  },
  "msg": "success",
  "request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

model is required

Available options:
sora-2
prompt
string
required

prompt is required

duration
integer

duration must be 4, 8 or 12 seconds

first_frame_image
string

first_frame_image is required for image-to-video

size
string

size must be one of: 720x1280, 1280x720

Response

Task accepted and queued for generation.

code
integer
Example:

0

data
object
msg
string
Example:

"success"

request_id
string<uuid>
Example:

"250b66dd-e1fb-4bb6-b5f6-c668efadc35d"